Subject: Re: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Aug 2022 22:36:08 +0300

> From: Tomas Hlavaty <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 24 Aug 2022 21:07:01 +0200
> 
> On Wed 24 Aug 2022 at 17:23, Eli Zaretskii <[email-masked]> wrote:
> >> They are also implemented as a special kind of override-redirect frame,
> >> and I don't see people complaining.
> >
> > How many tooltips do you see in a production session of Emacs?
> 
> For example tool-bar has fancy icons but no text.  I have no idea what
> those icons mean so I have to wait for the tooltips to show up.

That is very strange for me to hear.  Most GUI programs I deal with
every day don't have any text to go with their tool bars.

> They are essential for tool-bar because somehow including text in
> tool-bar stopped being a thing a few years ago?  Or is it possible?

I believe the GTK tool bar shows text near the icons.  To my opinion,
that is a waste of space, but I guess to everyone their own.